OpenLayersMap (GIS Viewer Widget 3.5.0-SNAPSHOT API)
Date: 2014-09-04

org.gcube.portlets.user.gisviewer.client.openlayers

## Class OpenLayersMap

- java.lang.Object
- - org.gcube.portlets.user.gisviewer.client.openlayers.OpenLayersMap

-     public class OpenLayersMap
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static org.gwtopenmaps.openlayers.client.Bounds` | `defaultBounds`
    `static String` | `defaultProjection`
    `protected static int` | `MAX_ZINDEX`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OpenLayersMap(String w, String h, int numZoomLevels, String title, OpenLayersHandler handler)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `activateClickData(boolean isActivate)`
    `void` | `activateDrawBoxControl()`
    `void` | `activateDrawBoxControl(boolean isActivate)`
    `void` | `activatePan(boolean isActivate)`
    `void` | `activateTransectDraw(boolean isActivate)`
    `void` | `activateZoomIn(boolean isActivate)`
    `void` | `activateZoomOut()`
    `void` | `addBaseLayersToOpenLayerMap(List<GisViewerBaseLayerInterface> layers)`
    `void` | `addLayerItemByWms(LayerItem layerItem, boolean displayInLayerSwitcher)`
    `void` | `addLayerItems(List<LayerItem> layerItems, boolean toTop)`
    `void` | `addPoint(double x, double y)`
    `void` | `addToolBar(ToolBarPanel toolBarPanel)`
    `void` | `changeSize(String w, String h)`
    `void` | `deactivateDrawBoxControl()`
    `LayerItem` | `getActiveBaseLayer()`
    `com.extjs.gxt.ui.client.widget.ContentPanel` | `getContentPanel()`
    `com.google.gwt.user.client.ui.Widget` | `getDockPanel()`
    `org.gwtopenmaps.openlayers.client.Bounds` | `getExtent()`
    `String` | `getFieldTransect()`
    `List<LayerItem>` | `getLayerItems()`
    `int` | `getMapHeight()`
    `MapViewInfo` | `getMapViewInfo()`
    `org.gwtopenmaps.openlayers.client.MapWidget` | `getMapWidget()`
    `int` | `getMapWidth()`
    `org.gwtopenmaps.openlayers.client.Bounds` | `getMaxExtent()`
    `String` | `getProjection()`
    `String` | `getTableTransect()`
    `void` | `removeCqlFilter(LayerItem layerItem)`
    `void` | `removeDataFeature()`
    `void` | `removeLayer(LayerItem layerItem)`
    `void` | `reproject(String proj)`
    `void` | `resetBaseLayerToOpenLayerMap()`
    `void` | `setCqlFilter(LayerItem layerItem, String filter)`
    `void` | `setFieldTransect(String fieldTransect)`
    `void` | `setNewStyle(LayerItem layerItem, String newStyle)`
    `void` | `setOpacity(LayerItem layerItem, double opacity)`
    `void` | `setTableTransect(String layerTransect)`
    `void` | `setTransectUrl(String transectUrl)`
    `void` | `setVisibility(LayerItem layerItem, boolean visible)`
    `void` | `updateLayersOrder()`
    `void` | `updateSize()`
    `void` | `zoomOut()`
    `void` | `zoomToMaxExtent()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### MAX_ZINDEX

          protected static final int MAX_ZINDEX

      See Also:
        Constant Field Values

    - #### defaultBounds

          public static org.gwtopenmaps.openlayers.client.Bounds defaultBounds

    - #### defaultProjection

          public static String defaultProjection

  - ### Constructor Detail

    - #### OpenLayersMap

          public OpenLayersMap(String w,
                       String h,
                       int numZoomLevels,
                       String title,
                       OpenLayersHandler handler)

  - ### Method Detail

    - #### activateZoomOut

          public void activateZoomOut()

    - #### addLayerItems

          public void addLayerItems(List<LayerItem> layerItems,
                           boolean toTop)

    - #### addToolBar

          public void addToolBar(ToolBarPanel toolBarPanel)

      Parameters:
        `toolBarPanel2` -

    - #### getLayerItems

          public List<LayerItem> getLayerItems()

    - #### getDockPanel

          public com.google.gwt.user.client.ui.Widget getDockPanel()

    - #### getContentPanel

          public com.extjs.gxt.ui.client.widget.ContentPanel getContentPanel()

    - #### setOpacity

          public void setOpacity(LayerItem layerItem,
                        double opacity)

    - #### setVisibility

          public void setVisibility(LayerItem layerItem,
                           boolean visible)

    - #### reproject

          public void reproject(String proj)

    - #### zoomToMaxExtent

          public void zoomToMaxExtent()

    - #### getProjection

          public String getProjection()

    - #### getMaxExtent

          public org.gwtopenmaps.openlayers.client.Bounds getMaxExtent()

    - #### getExtent

          public org.gwtopenmaps.openlayers.client.Bounds getExtent()

    - #### activateTransectDraw

          public void activateTransectDraw(boolean isActivate)

    - #### activateClickData

          public void activateClickData(boolean isActivate)

    - #### activateDrawBoxControl

          public void activateDrawBoxControl(boolean isActivate)

    - #### activateZoomIn

          public void activateZoomIn(boolean isActivate)

    - #### activatePan

          public void activatePan(boolean isActivate)

    - #### removeCqlFilter

          public void removeCqlFilter(LayerItem layerItem)

    - #### setCqlFilter

          public void setCqlFilter(LayerItem layerItem,
                          String filter)

    - #### setNewStyle

          public void setNewStyle(LayerItem layerItem,
                         String newStyle)

    - #### setTableTransect

          public void setTableTransect(String layerTransect)

    - #### getTableTransect

          public String getTableTransect()

    - #### setFieldTransect

          public void setFieldTransect(String fieldTransect)

    - #### getFieldTransect

          public String getFieldTransect()

    - #### changeSize

          public void changeSize(String w,
                        String h)

    - #### updateSize

          public void updateSize()

    - #### getMapWidth

          public int getMapWidth()

    - #### getMapHeight

          public int getMapHeight()

    - #### getMapWidget

          public org.gwtopenmaps.openlayers.client.MapWidget getMapWidget()

    - #### addPoint

          public void addPoint(double x,
                      double y)

    - #### getMapViewInfo

          public MapViewInfo getMapViewInfo()

    - #### updateLayersOrder

          public void updateLayersOrder()

    - #### removeLayer

          public void removeLayer(LayerItem layerItem)

      Parameters:
        `layerItem` -

    - #### resetBaseLayerToOpenLayerMap

          public void resetBaseLayerToOpenLayerMap()

    - #### addBaseLayersToOpenLayerMap

          public void addBaseLayersToOpenLayerMap(List<GisViewerBaseLayerInterface> layers)

    - #### setTransectUrl

          public void setTransectUrl(String transectUrl)

      Parameters:
        `result` -

    - #### deactivateDrawBoxControl

          public void deactivateDrawBoxControl()

    - #### activateDrawBoxControl

          public void activateDrawBoxControl()

    - #### addLayerItemByWms

          public void addLayerItemByWms(LayerItem layerItem,
                               boolean displayInLayerSwitcher)

      Parameters:
        `layerItem` -
        `displayInLayerSwitcher` -

    - #### getActiveBaseLayer

          public LayerItem getActiveBaseLayer()

      Returns:

    - #### zoomOut

          public void zoomOut()

    - #### removeDataFeature

          public void removeDataFeature()

Copyright © 2014. All Rights Reserved.